/* BCMainController */

#import <Cocoa/Cocoa.h>

@class	LocalPropertyController, RemotePropertyController, SmartPropertyController, ManualPropertyController;
@class	DBListController, AuthorListController, ItemListController, DetailInfoController, FileViewController;
@class	WelcomeController;
@class	DbListOutlineView;

@interface BCMainController : NSObject
{
    IBOutlet NSWindow *mainWindow;
	
	IBOutlet NSView *viewBibItems;
	
	IBOutlet DBListController *controllerDbList;
	IBOutlet AuthorListController *controllerAuthorList;
	IBOutlet ItemListController *controllerItemList;
	IBOutlet DetailInfoController *controllerDetailInfo;
	IBOutlet FileViewController *controllerFileView;
	IBOutlet WelcomeController *controllerWelcome;
	IBOutlet NSView *dbListSubPane;
	IBOutlet NSView *authorListSubPane;
	IBOutlet NSView *itemListSubPane;
	IBOutlet NSSplitView *splitView;
    IBOutlet NSProgressIndicator *indicatorWaitAWhile;
    IBOutlet DbListOutlineView	*tableDatabase;
    IBOutlet NSTableView		*tableAuthor;
    IBOutlet NSMenu				*menuWindow;

    IBOutlet NSButton *buttonShowDetail;
	
	BOOL	appTerminatedByClosing;
	BOOL	runningWelcome;
}

- (IBAction)showDetail:(id)sender;
- (IBAction)editMacroMenu:(id)sender;

- (IBAction)showHelpTopic:(id)sender;

- (IBAction)openDetailInfoPanel:(id)sender;

+ (BCMainController*)globalMainController;

- (void)notified:(id)notification;

- (void)saveCurrentSettings;

- (NSWindow*)mainWindow;

- (DBListController*)controllerDbList;
- (AuthorListController*)controllerAuthorList;
- (ItemListController*)controllerItemList;
- (DetailInfoController*)controllerDetailInfo;
- (FileViewController*)controllerFileView;

- (void)resortItems;
- (void)resortAuthors;

- (void)forceShowDetail;
- (void)clearIncrementalSearches;

- (int)askBeforeQuit;

- (void)setRunningWelcome:(BOOL)running;
- (BOOL)runningWelcome;

@end
