/* BibFieldDataField */

#import <Cocoa/Cocoa.h>

@class	BibItem, DetailInfoController, StringInputStream;

@interface BibFieldDataField : NSTextField
{
	IBOutlet DetailInfoController *infoController;
    IBOutlet NSTextField *titleField;
    IBOutlet NSButton *buttonUndoEdit;
	
	BibItem				*currentItem;
	BOOL				locked;
	BOOL				inEditMode;
	BOOL				dataChanged;
	NSStringEncoding	dbEncoding;
	BOOL				settingUp;
	
	NSString				*fieldName;
	NSString				*undoBuffer;
	
	BOOL					smartPaste;
	BOOL					smartAuthor;
	BOOL					permitMacro;
	NSString				*prevText;
	NSArray					*properNouns;
	NSArray					*captalizeWords;
	NSArray					*lowercaseWords;
	NSMutableArray			*chemicalElements;
	
	NSString				*yenMarkString;
	NSCharacterSet			*noNameSet, *parenSet, *mathSeparatorSet, *equSubSet, *chemicalGreekSet;
	NSCharacterSet			*nonPunc, *limitedPuncs, *hyphenSet;
	NSCharacterSet			*alphabetSet, *alphaEquSet, *equSet, *spacesAndSharpSet;
}
- (IBAction)inputSupportButtonPressed:(id)sender;

- (void)reloadPreferences;

- (void)setFieldName:(NSString*)field required:(BOOL)required;
- (void)setItem:(BibItem*)item;
- (void)setEditMode:(BOOL)edit;
- (void)setupData;
- (void)undoEdit;
- (void)textChanged;
- (void)setDirty;

- (BOOL)wordShouldBeBracketed:(NSString**)word;
- (BOOL)wordShouldBeLower:(NSString*)word;
- (NSString*)separateByPunctuation:(NSString*)inStr;
- (NSArray*)separateWord:(NSString*)mixedString startWithNumber:(BOOL*)startWithNumber;
- (NSString*)getBlockTo:(unichar)endChar fromStream:(StringInputStream*)inStream endingFound:(BOOL*)endingFound;

- (void)convertIllegalChars:(NSMutableString**)string;
- (void)convertSpecialChars:(NSMutableString**)string;
- (NSString*)authorSmartPaste:(NSMutableString*)pasted
				prefix:(NSString*)prefix suffix:(NSString*)suffix cursor:(int*)newPos;
- (NSString*)titleSmartPaste:(NSMutableString*)pasted
				prefix:(NSString*)prefix suffix:(NSString*)suffix cursor:(int*)newPos;

- (BOOL)isEnableEdit;

- (NSString*)checkQuotes:(NSString*)inString isPre:(BOOL)isPre hasQuotes:(BOOL*)hasQuotes;

@end
