//
//  DefaultPrefs.h
//  BibCompanion
//
//  Created by Hitoshi Nakahara on 05/01/25.
//  Copyright 2005 Hit-C Soft House. All rights reserved.
//

#define		BibPrefs_BibTypeDefsKey		@"BibType Definitions"
NSString	*defaultBibTypeDefs[] = {
	@"ARTICLE",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"",			@"TITLE",
			@"JOURNAL",		@"volume",		@"pages",		@"",			@"YEAR",
			@"DATABASE",	@"",			@"",			@"number",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][<journal>][| <volume>][ (<year>)][ <abbrev_pages>][.]",
			@"[<author>, ][<journal>][| <volume>][, <abbrev_pages>][ (<year>)][.]",
			@"[<author>, ][/``<title>'', ][<journal>][| <volume>][ (<year>)][ <pages>][.]",
			@"EOF",
	@"BOOK",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"EDITOR",		@"TITLE",
			@"PUBLISHER",	@"",			@"isbn",		@"address",		@"YEAR",
			@"DATABASE",	@"series",		@"volume",		@"edition",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][Ed. by <editor>, ] [/``<title>''][, (][<publisher>, ][<address>, ][<year>][).]",
			@"EOF",
	@"BOOKLET",
			@"BIBTYPE",		@"BIBKEY",		@"author",		@"",			@"TITLE",
			@"howpublished",@"",			@"",			@"address",		@"year",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][/``<title>''][, (][<howpublished>, ][<year>][).]",
			@"EOF",
	@"INBOOK",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"EDITOR",		@"TITLE",
			@"PUBLISHER",	@"CHAPTER",		@"PAGES",		@"address",		@"YEAR",
			@"DATABASE",	@"series",		@"volume",		@"edition",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][Ed. by <editor>, ][in: ][/``<title>''][, (][<publisher>, ][<address>, ][<year>][)][ Chap.~<chapter>] [ p.~<abbrev_pages>][.]",
			@"EOF",
	@"INCOLLECTION",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"editor",		@"TITLE",
			@"BOOKTITLE",	@"PUBLISHER",	@"pages",		@"address",		@"YEAR",
			@"DATABASE",	@"",			@"volume",		@"chapter",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][in: ][/``<booktitle>''][, Ed. by <editor>][, (][<publisher>, ][<address>, ][<year>][)][ Chap.~<chapter>][ p.~<abbrev_pages>][.]",
			@"EOF",
	@"INPROCEEDINGS",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"editor",		@"TITLE",
			@"BOOKTITLE",	@"organization",@"pages",		@"address",		@"YEAR",
			@"DATABASE",	@"publisher",	@"volume",		@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][ in: ][/``<booktitle>''][, Ed. by <editor>][, (][<organization/publisher>, ][<address>, ][<year>][)][ Chap.~<chapter>][ p.~<abbrev_pages>][.]",
			@"EOF",
	@"PROCEEDINGS",
			@"BIBTYPE",		@"BIBKEY",		@"",			@"editor",		@"TITLE",
			@"organization",@"publisher",	@"",			@"address",		@"YEAR",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[Ed. by <editor>, ][/``<title>''][, (][<organization/publisher>, ][<address>, ][<year>][).]",
			@"EOF",
	@"CONFERENCE",
			@"BIBTYPE",		@"BIBKEY",		@"",			@"editor",		@"TITLE",
			@"organization",@"publisher",	@"",			@"address",		@"YEAR",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[Ed. by <editor>, ][/``<title>''][, (][<organization/publisher>, ][<address>, ][<year>][).]",
			@"EOF",
	@"MANUAL",
			@"BIBTYPE",		@"BIBKEY",		@"author",		@"",			@"TITLE",
			@"organization",@"",			@"",			@"address",		@"YEAR",
			@"DATABASE",	@"",			@"",			@"edition",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][/``<title>''][, (][<organization>, ][<address>, ][<year>][).]",
			@"EOF",
	@"TECHREPORT",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"",			@"TITLE",
			@"INSTITUTION",	@"type",		@"",			@"address",		@"YEAR",
			@"DATABASE",	@"",			@"",			@"number",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][/``<title>''][, (][<institution>, ][<address>, ][<year>][).]",
			@"EOF",
	@"PHDTHESIS",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"",			@"TITLE",
			@"SCHOOL",		@"",			@"",			@"address",		@"YEAR",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][PhD thsis: ][/``<title>''][, (][<school>, ][<address>, ][<year>][).]",
			@"EOF",
	@"MASTERSTHESIS",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"",			@"TITLE",
			@"SCHOOL",		@"",			@"",			@"address",		@"YEAR",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][Masters thsis: ][/``<title>''][, (][<school>, ][<address>, ][<year>][).]",
			@"EOF",
	@"UNPUBLISHED",
			@"BIBTYPE",		@"BIBKEY",		@"AUTHOR",		@"",			@"TITLE",
			@"",			@"",			@"",			@"",			@"year",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"NOTE",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
			@"[<author>, ][/``<title>''][, (<year>)][, <note>.]",
			@"EOF",
	@"MISC",
			@"BIBTYPE",		@"BIBKEY",		@"author",		@"",			@"title",
			@"howpublished",@"",			@"",			@"",			@"year",
			@"DATABASE",	@"",			@"",			@"",			@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
 			@"[<author>, ][/``<title>''][, (<year>)][, <howpublished/note>][.]",
			@"EOF",
	@"~~ undefined ~~",
			@"BIBTYPE",		@"BIBKEY",		@"author",		@"editor",		@"title",
			@"howpublished",@"chapter",		@"pages",		@"address",		@"year",
			@"DATABASE",	@"series",		@"volume",		@"number",		@"key",			@"month",
			@"note",		@"yomi",		@"crossref",	@"file",		@"url",			@"email",	@"EOC",
 			@"[<author>, ][/``<title>'', ][(<year>)][, <howpublished/note>][.]",
			@"EOF",
	nil
};

#define		BibPrefs_BibKeyGenRule	@"BibKey Geeration Rule"
NSString	*defaultBibKeyGenRule = @"[<fam>][<giv>][:<abbrev_journal/abbrev_organization/abbrev_institution/abbrev_school/abbrev_publisher/abbrev_booktitle>][<abbrev_volume>][:<year>]";

#define		BibPrefs_LastCreatedType	@"Last Created BibType"
NSString	*defaultLastCreatedType = @"ARTICLE";

#define		BibPrefs_ListViewDefsKey	@"List View Definitions"
NSString	*defaultListViewDefs[] = {
	@"00_mark",		@"Mark",			@"18",  @"18", @"18",   @"center",	@"check",	@"sort",	@"mark", @"EOC",
	@"01_file",		@"Attachment",		@"18",  @"18", @"18",   @"center",	@"icon",	@"sort",	@"file", @"url", @"email", @"EOC",
	@"02_bibtype",	@"BibType",			@"70",  @"40", @"120",  @"left",	@"",		@"sort",	@"bibtype", @"EOC",
	@"03_bibkey",	@"BibKey",			@"100", @"40", @"180",  @"left",	@"",		@"sort",	@"bibkey", @"EOC",
	@"04_author",	@"Authors/Editors",	@"200", @"40", @"2000", @"left",	@"abbrev",	@"sort",	@"author", @"editor", @"key", @"EOC",
	@"05_journal",	@"Journal etc.",	@"180", @"40", @"400",	@"left",	@"abbrev",	@"sort",	@"journal", @"organization", @"institution", @"school", @"publisher", @"howpublished", @"booktitle", @"EOC",
	@"06_year",		@"Year",			@"40",  @"40", @"100",  @"center",	@"",		@"sort",	@"year", @"month", @"EOC",
	@"07_volume",	@"Vol.",			@"40",  @"40", @"100",  @"right",	@"",		@"sort",	@"volume", @"number", @"series", @"edition", @"EOC",
	@"08_page",		@"Page",			@"60",  @"40", @"100",  @"right",	@"",		@"sort",	@"pages", @"chapter", @"EOC",
	@"09_title",	@"Title/Book Title",@"300", @"40", @"2000",	@"left",	@"abbrev",	@"sort",	@"title", @"booktitle", @"EOC",
	@"10_note",		@"Note",			@"200", @"40", @"2000",	@"left",	@"abbrev",	@"sort",	@"annote", @"memo", @"keywords", @"note", @"type", @"crossref", @"EOC",
	@"11_others",	@"Other Info.",		@"200", @"40", @"1000",	@"left",	@"",		@"sort",	@"type", @"address", @"yomi", @"EOC",
	@"12_database",	@"Database",		@"100", @"40", @"300",	@"left",	@"",		@"sort",	@"database", @"EOC",
	@"13_modified",	@"Modified",		@"70",  @"40", @"100",	@"center",	@"",		@"sort",	@"modified", @"EOC",
	nil
};

#define		BibPrefs_ColumnOrderKey		@"List Column Order"
NSString	*defalutColumnOrder[] = {
	@"00_mark", @"01_file", @"03_bibkey", @"04_author", @"05_journal", @"06_year", @"09_title", @"10_note", nil
};

#define		BibPrefs_PreDefMacrosKey		@"Predefined Macros"
NSString	*defalutPreDefMacros[] = {
	@"January", @"jan",
	@"February", @"feb",
	@"March", @"mar",
	@"April", @"apr",
	@"May", @"may",
	@"June", @"jun",
	@"July", @"jul",
	@"August", @"aug",
	@"September", @"sep",
	@"October", @"oct",
	@"November", @"nov",
	@"December", @"dec",
	@"ACM Computing Surveys", @"acmcs",
	@"Acta Informatica", @"acta",
	@"Communications of the ACM", @"cacm",
	@"IBM Journal of Research and Development", @"ibmjrd",
	@"IBM Systems Journal", @"ibmsj",
	@"IEEE Transactions on Software Engineering", @"ieeese",
	@"IEEE Transactions on Computers", @"ieeetc",
	@"Information Processing Letters", @"ipl",
	@"Journal of the ACM", @"jacm",
	@"Journal of Computer and System Sciences", @"jcss",
	@"Science of Computer Programming", @"scp",
	@"SIAM Journal on Computing", @"sicomp",
	@"ACM Transactions on Computer Systems", @"tocs",
	@"ACM Transactions on Database Systems", @"tods",
	@"ACM Transactions on Graphics", @"tog",
	@"ACM Transactions on Mathematical Software", @"toms",
	@"ACM Transactions on Office Information Systems", @"toois",
	@"ACM Transactions on Programming Languages and Systems", @"toplas",
	@"Theoretical Computer Science", @"tcs",
	nil
};

#define		BibPrefs_ListFontExpansion	@"List Font Expansion"
float	defaultListFontExpansion = -0.07;

#define		BibPrefs_AuthorFontExpansion	@"Author Font Expansion"
float	defaultAuthorFontExpansion = -0.05;

#define		BibPrefs_InputSupportButtons	@"Input Support Buttons (others)"
NSString	*defaultInputSupportButtons[] = {
	@"\\pi", @"", @"math",
	@"\\hbar", @"", @"math",
	@"\\ell", @"", @"math",
	@"\\partial", @"", @"math",
	@"\\nabla", @"", @"math",
	@"\\Re", @"", @"math",
	@"\\Im", @"", @"math",
	@"\\wp", @"", @"math",
	@"^{X}", @"2", @"math",
	@"_{X}", @"2", @"math",
	@"\\leq", @"", @"math",
	@"\\geq", @"", @"math",
	@"\\approx", @"", @"math",
	@"\\neq", @"", @"math",
	@"\\propto", @"", @"math",
	@"\\times", @"", @"math",
	@"\\div", @"", @"math",
	@"\\pm", @"", @"math",
	@"\\mp", @"", @"math",
	@"\\sqrt{X}", @"3", @"math",
	@"\\%", @"", @"both",
	@"\\&", @"", @"both",
	@"\\#", @"", @"both",
	@"\\{{X}\\}", @"text", @"both",
	@"[{X}]", @"text", @"both",
	@"``{X}''", @"text", @"both",
	@"${X}$", @"text", @"",
	@"\\cdots", @"", @"math",
	@"\\cdot", @"", @"math",
	@"\\infty", @"", @"math",
	nil
};

#define		BibPrefs_ProperNouns	@"Proper Nouns for Smart Title Paste"
NSString	*defaultProperNouns[] = {
	@"H",  @"D",  @"He", @"Li", @"Be", @"B",  @"C",  @"N",  @"O",  @"F",  @"Ne",
	@"Na", @"Mg", @"Al", @"Si", @"P",  @"S",  @"Cl", @"Ar",
	@"K",  @"Ca", @"Sc", @"Ti", @"V",  @"Cr", @"Mn", @"Fe", @"Co", @"Ni", @"Cu", @"Zn", @"Ga", @"Ge", @"As", @"Se", @"Br", @"Kr",
	@"Rb", @"Sr", @"Y",  @"Zr", @"Nb", @"Mo", @"Tc", @"Ru", @"Rh", @"Pd", @"Ag", @"Cd", @"In", @"Sn", @"Sb", @"Te", @"I",  @"Xe",
	@"Cs", @"Ba",        @"Hf", @"Ta", @"W",  @"Re", @"Os", @"Ir", @"Pt", @"Au", @"Hg", @"Tl", @"Pb", @"Bi", @"Po", @"At", @"Rn",
	@"Fr", @"Ra",
	@"La", @"Ce", @"Pr", @"Nd", @"Pm", @"Sm", @"Eu", @"Gd", @"Tb", @"Dy", @"Ho", @"Er", @"Tm", @"Yb", @"Lu",
	@"Ac", @"Th", @"Pa", @"U",  
//	@"Np", @"Pu", @"Am", @"Cm", @"Bk", @"Cf", @"Es", @"Fm", @"Md", @"No", @"Lr",
//	@"Rf", @"Db", @"Sg", @"Bh", @"Hs", @"Mt", @"Unn",@"Uuu",@"Uub",@"Uut",@"Uuq",@"Uup",@"Uuh",@"Uu",
	
	@"Anderson", @"Auger", 
	@"Bloch", @"Boltzman", @"Broglie", @"Bardeen", @"Bohr", @"Blodgett", @"Bragg", @"Bose", 
	@"Coulomb", @"Compton", @"Carlo", @"Cooper", 
	@"Dirac", @"Deutsch", 
	@"Einstein", @"Ewald", 
	@"Fermi", 
	@"Gauss", @"Gaussian", @"Gaussians", @"Gibbs",
	@"Hall", @"Hamilton", @"Heisenberg", @"Hubbard", @"Holstein", 
	@"Josephson", @"Jozsa", @"Jahn", 
	@"Kondo", @"Kikuchi", @"Krastanov", @"Kerr", 
	@"Lorentz", @"Lorentzian", @"Lorentzians", @"Laplace", @"Laplacian", @"Lagrange", @"Lagrangian", @"Landau", 
	@"Langmuir", @"Luttinger", 
	@"Mott", @"Moore", @"Monte", @"Meissner", 
	@"Pauli", @"Poisson", @"Poissonian", 
	@"Raman", 
	@"Schrodinger", @"Schroedinger", @"Stark", @"Stranski", @"Schottky", @"Schrieffer", 
	@"Tomonaga", @"Teller", 
	@"Volmer", 
	@"Wannier", @"Wigner", @"Weber", @"Waals", 
	@"X",
	@"Zeeman", 
	nil
};

#define		BibPrefs_ShortCaptals		@"Short Word but not Conjunction"
NSString	*defaultShortCaptals[] = {
	@"one", @"two", @"six", @"ten", @"dot", @"gas", @"low", @"law", @"row", @"raw", @"pen", @"pin", @"pan", 
	@"ac", @"dc", @"up", @"ray", @"ion", @"gap", @"out", @"how", @"who", 
	@"way", 
	nil
};

#define		BibPrefs_LongLowercases		@"Long word but Conjunction"
NSString	*defaultLongLowercases[] = {
	@"from", @"during", @"under", @"with", @"within", @"without", @"between", @"versus", @"situ", @"initio", 
	nil
};

#define		BibPrefs_SearchFieldsTitle		@"Search Fields for Titles"
NSString	*defalutSearchFieldsTitle[] = {
	@"title", @"booktitle", nil
};

#define		BibPrefs_SearchFieldsJournal	@"Search Fields for Journals"
NSString	*defalutSearchFieldsJournal[] = {
	@"journal", @"publisher", @"organization", @"institution", @"school", nil
};

#define		BibPrefs_SearchFieldsAnnote		@"Search Fields for Annotes"
NSString	*defalutSearchFieldsAnnote[] = {
	@"annote", @"note", @"memo", @"keywords", nil
};

#define		BibPrefs_AnnoteIdentifier		@"Annote Field Identifier"
NSString	*defaultAnnoteIdentifier = @"annote";


#define		BibPrefs_LastEditTab		@"Last Edit Tab"
NSString	*defaultLastEditTab = @"basic";

#define		BibPrefs_LastInputTab		@"Last Input Tab"
NSString	*defaultLastInputTab = @"accents";

#define		BibPrefs_AutoOpenInputPanel	@"Automatic Open Input Panel"
BOOL		defaultAutoOpenPanel = YES;

#define		BibPrefs_CopyItemFormat		@"Copy BibItem in Text Format"
BCListFormatType	defaultCopyItemFormat = BCListFormatType_cite;

#define		BibPrefs_ConvertToYen		@"Convert Backslash to Yen"
BOOL		defaultConvertToYen = NO;

#define		BibPrefs_UseIndexForBibkey	@"Use Index Number for BibKey"
BOOL		defaultUseIndexForBibkey = YES;

#define		BibPrefs_DatabaseEncoding	@"Database File Text Encoding"

#define		BibPrefs_DatabaseLineMode	@"Database File Line Ending"
BC_LocalLineEnding	defaultDatabaseLineMode = BC_LocalLineEnding_LF;

#define		BibPrefs_OpenDetailInfo			@"Open Detail Info Panel"
BOOL		defaultOpenDetail = YES;

#define		BibPrefs_WindowFrame			@"Main Window Position and Size"
NSRect		defaultWindowFrame = {80, 100, 800, 522};

#define		BibPrefs_DBSplitWidth			@"DB List Split Panel Width"
float		defaultDBSplitWidth = 158;

#define		BibPrefs_ItemSplitWidth			@"Item List Split Panel Width"
float		defaultItemSplitWidth = 457;

#define		BibPrefs_SortColumnIdentifier	@"Sort Key Column in Item List"
NSString	*defaultSortColumnIdentifier = @"bibkey";

#define		BibPrefs_SortAscending			@"Sort Order in Item List"
BOOL		defaultSortAscending = YES;

#define		BibPrefs_AutoSave				@"Auto Save Changes"
BOOL		defaultAutoSave = NO;

#define		BibPrefs_AutoSaveInterval		@"Auto Save Interval (min)"
int			defaultAutoSaveInterval = 5;

#define		BibPrefs_NumBackup				@"Number of Backup Files"
int			defaultNumBackup = 5;

#define		BibPrefs_SmartAuthorPaste		@"Smart Author Paste Switch"
BOOL		defaultSmartAuthorPaste = YES;

#define		BibPrefs_SmartTitlePaste		@"Smart Title Paste Switch"
BOOL		defaultSmartTitlePaste = YES;

#define		BibPrefs_QuickSearchCase		@"Case Sensitive in Quick Search"
BOOL		defaultQuickSearchCase = NO;

#define		BibPrefs_EditFieldFontSize		@"Edit Field Font Size"
BibPref_EditFieldFontSize	defaultEditFieldFontSize = BibPref_EditFieldFontSize_Regular;

#define		BibPrefs_AuthorListFormat		@"Author/Editor List Format"
BC_AuthorNameOrder	defaultAuthorListFormat = BC_AuthorNameOrder_FamilyFirst;

#define		BibPrefs_HtmlNumListOpen		@"HTML Numbered List Open Command"
NSString	*defaultHtmlNumListOpen = @"<ol>\n\n";
#define		BibPrefs_HtmlNumListClose		@"HTML Numbered List Close Command"
NSString	*defaultHtmlNumListClose = @"</ol>\n";
#define		BibPrefs_HtmlNumListItem		@"HTML Numbered List Item Command"
NSString	*defaultHtmlNumListItem = @"<li style=\x22margin-bottom:0.8ex;\x22>%@</li>\n\n";

#define		BibPrefs_HtmlKeyListOpen		@"HTML Bibkey List Open Command"
NSString	*defaultHtmlKeyListOpen = @"<ul style=\x22list-style-type:none;\x22>\n\n";
#define		BibPrefs_HtmlKeyListClose		@"HTML Bibkey List Close Command"
NSString	*defaultHtmlKeyListClose = @"</ul>\n";
#define		BibPrefs_HtmlKeyListItem		@"HTML Bibkey List Item Command"
NSString	*defaultHtmlKeyListItem = @"<li style=\x22margin-bottom:0.8ex;text-indent:-2em;\x22><b>[%@]</b> %@</li>\n\n";

#define		BibPrefs_RtfNumListOpen			@"RTF Numbered List Open Command"
NSString	*defaultRtfNumListOpen = @"<ol>\n\n";
#define		BibPrefs_RtfNumListClose		@"RTF Numbered List Close Command"
NSString	*defaultRtfNumListClose = @"</ol>\n";
#define		BibPrefs_RtfNumListItem			@"RTF Numbered List Item Command"
NSString	*defaultRtfNumListItem = @"<li>%@</li>\n\n";

#define		BibPrefs_RtfKeyListOpen			@"RTF Bibkey List Open Command"
NSString	*defaultRtfKeyListOpen = @"";
#define		BibPrefs_RtfKeyListClose		@"RTF Bibkey List Close Command"
NSString	*defaultRtfKeyListClose = @"";
#define		BibPrefs_RtfKeyListItem			@"RTF Bibkey List Item Command"
NSString	*defaultRtfKeyListItem = @"<p><b>[%@]</b> %@</p>\n";


#define		BibPrefs_ActiveEncodings		@"Active Text Encoding List"

#define		BibPrefs_PrefInitialized		@"Preferences are Initialized"

#define		BibPrefs_LastSelectedDB			@"Last Selected Database ID"
#define		BibPrefs_LastSelectedDBKind		@"Last Selected Database Kind"

#define		BibPrefs_LastSelectedAuthors	@"Last Selected Authors"
#define		BibPrefs_LastSelectedItems		@"Last Selected Bib Items"

#define		BibPrefs_SuppressWarningList	@"Suppress Warning Databases"

NSString	*preferenceKeys[] = {
		BibPrefs_BibTypeDefsKey,
		BibPrefs_BibKeyGenRule,
		BibPrefs_LastCreatedType,
		BibPrefs_ListViewDefsKey,
		BibPrefs_ColumnOrderKey,
		BibPrefs_PreDefMacrosKey,
		BibPrefs_ListFontExpansion,
		BibPrefs_AuthorFontExpansion,
		BibPrefs_InputSupportButtons,
		BibPrefs_LastEditTab,
		BibPrefs_LastInputTab,
		BibPrefs_AutoOpenInputPanel,
		BibPrefs_CopyItemFormat,
		BibPrefs_UseIndexForBibkey,
		BibPrefs_DatabaseEncoding,
		BibPrefs_DatabaseLineMode,
		BibPrefs_OpenDetailInfo,
		BibPrefs_WindowFrame,
		BibPrefs_DBSplitWidth,
		BibPrefs_ItemSplitWidth,
		BibPrefs_SortColumnIdentifier,
		BibPrefs_SortAscending,
		BibPrefs_AutoSave,
		BibPrefs_AutoSaveInterval,
		BibPrefs_NumBackup,
		BibPrefs_QuickSearchCase,
		BibPrefs_ConvertToYen,
		BibPrefs_LastSelectedDB,
		BibPrefs_LastSelectedDBKind,
		BibPrefs_ActiveEncodings,
		BibPrefs_PrefInitialized,
		BibPrefs_SmartAuthorPaste,
		BibPrefs_SmartTitlePaste,
		BibPrefs_EditFieldFontSize,
		BibPrefs_ProperNouns,
		BibPrefs_LongLowercases,
		BibPrefs_ShortCaptals,
		BibPrefs_SuppressWarningList,
		BibPrefs_LastSelectedAuthors,
		BibPrefs_LastSelectedItems,
		BibPrefs_AuthorListFormat,
		BibPrefs_AnnoteIdentifier,
		BibPrefs_SearchFieldsTitle,
		BibPrefs_SearchFieldsJournal,
		BibPrefs_SearchFieldsAnnote,
		BibPrefs_HtmlNumListOpen,
		BibPrefs_HtmlNumListClose,
		BibPrefs_HtmlNumListItem,
		BibPrefs_HtmlKeyListOpen,
		BibPrefs_HtmlKeyListClose,
		BibPrefs_HtmlKeyListItem,
		BibPrefs_RtfNumListOpen,
		BibPrefs_RtfNumListClose,
		BibPrefs_RtfNumListItem,
		BibPrefs_RtfKeyListOpen,
		BibPrefs_RtfKeyListClose,
		BibPrefs_RtfKeyListItem,
		nil
};

