/* FileViewController */

#import <Cocoa/Cocoa.h>
#import	"BibItem.h"

@class	FileImageView;

@interface PdfDocumentData : NSObject
{
    CGPDFDocumentRef	pdfDocument;
	unsigned			documentID;
}

+ (PdfDocumentData*)pdfDocumentData;

- (void)setDocumentRef:(CGPDFDocumentRef)docRef;
- (CGPDFDocumentRef)documentRef;
- (int)numPages;
- (unsigned)documentID;

@end

@interface FileViewController : NSObject
{
    IBOutlet NSButton *buttonOpenFileDrawer;
	IBOutlet NSDrawer *drawerFileView;
	
    IBOutlet NSProgressIndicator *indicatorCreatingImage;
    IBOutlet NSButton *buttonPageDown;
    IBOutlet NSButton *buttonPageUp;
    IBOutlet NSSlider *pageSlider;
    IBOutlet FileImageView *viewFileContents;
    IBOutlet NSTextField *statusFilePages;
    IBOutlet NSButtonCell *buttonPrevFile;
    IBOutlet NSButtonCell *buttonNextFile;

	IBOutlet NSMenu	*menuWindow;

	NSArray				*supportedTypes;
	
	BibItem				*currentItem;
	NSMutableArray		*fileList;
	int					currentFileIndex;
	BOOL				itemChanged;
	
	PdfDocumentData		*currentDocument;
    int					totalPages, pageNumber;
	
	int					maxTickNumber;
	
	NSTimer				*slideTimer;
	
	BOOL				pdfProcessing;
	BOOL				listLocked;
	NSMutableArray		*loadingThreadList;
}

- (IBAction)pageUp:(id)sender;
- (IBAction)pageDown:(id)sender;
- (IBAction)sliderChanged:(id)sender;
- (IBAction)nextFile:(id)sender;
- (IBAction)prevFile:(id)sender;

- (IBAction)openFileViewPanel:(id)sender;

- (void)pageScrollBy:(int)delta;

- (void)disableSlider;

- (void)setItem:(BibItem*)item;
- (void)reloadItem;
- (BOOL)fileIsSupported:(NSString*)file;
- (NSArray*)getFileListInFolder:(NSString*)folder;
- (void)setContextMenuTitles;

- (BOOL)visible;

- (void)clearView;
- (void)showFile;

- (void)setPageNumber:(int)newPageNumber;

- (void)refleshStatus;
- (void)setStatusWithPage:(int)newPage;

- (void)openContents;
- (void)chooseFileNo:(int)fileNo;

- (void)slideTimerProc:(id)userInfo;

- (void)checkFileNo:(int)fileNo;
- (void)uncheckFileNo:(int)fileNo;

- (void)drawPageInThread:(void*)userData;
- (void)appendMyThread;
- (void)removeMyThread;

@end
