/* LocalPropertyController */

#import <Cocoa/Cocoa.h>

@class	LocalDatabaseProperties, EncodingPopUp, BibDatabase;

@interface LocalPropertyController : NSObject
{
    IBOutlet NSButton *buttonOK;
    IBOutlet NSButton *buttonCancel;
    IBOutlet EncodingPopUp *popupEncoding;
    IBOutlet NSPopUpButton *popupNewLine;
    IBOutlet NSTextField *stringFileName;
    IBOutlet NSTextField *stringFolderName;
    IBOutlet NSTextField *stringDbID;
    IBOutlet NSTextField *stringDescription;
	IBOutlet NSPopUpButton *popupCopyChoice;
	IBOutlet NSButton *checkRenameFiles;
	IBOutlet NSButton *checkKeepFullPath;
	IBOutlet NSTextField *stringCopyDestination;
	IBOutlet NSButton *buttonChoose;
    IBOutlet NSTextField *stringPrivilege;
    IBOutlet NSButton *buttonGetPrivilege;
    IBOutlet NSButton *buttonReleasePrivilege;
    IBOutlet NSButton *checkSuppressWarning;

	IBOutlet NSPanel *propertyPanel;
    IBOutlet NSWindow *windowForSheet;
	
	NSString		*privilegedHost;
	NSString		*privilegedUser;
	NSString		*lastEncodingSelection;
	NSString		*attachmentPath;
	NSString		*databasePath;
	BibDatabase		*database;
}
- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)encodingChanged:(id)sender;
- (IBAction)chooseAttachmentFolder:(id)sender;
- (IBAction)attachmentChoiceChanged:(id)sender;
- (IBAction)getPrivilege:(id)sender;
- (IBAction)releasePrivilege:(id)sender;

+ (void)openPropertyWith:(LocalDatabaseProperties*)properties;
- (void)editPropertyWith:(LocalDatabaseProperties*)properties;

- (IBAction)editEncodingMenu:(id)sender;

- (void)setPrivilegeString;
- (void)setAttachmentPath:(NSString*)path;

@end
