/* PreambleSettingController */

#import <Cocoa/Cocoa.h>

@class	RealDatabase, PreambleTableView;

@interface PreambleSettingController : NSObject
{
    IBOutlet NSButton *okButton;
    IBOutlet NSButton *importButton;
    IBOutlet NSTextField *stringTitle;
    IBOutlet PreambleTableView *tablePreambles;

    IBOutlet NSPanel *settingPanel;
    IBOutlet NSPanel *importPanel;
    IBOutlet NSWindow *windowForSheet;
	
    IBOutlet NSPopUpButton *databasePopup;
	
	RealDatabase	*baseDatabase;
	NSMutableArray	*preambleList;

	BOOL	dirty;
}
- (IBAction)cancel:(id)sender;
- (IBAction)delKeyDown:(id)sender;
- (IBAction)ok:(id)sender;

- (IBAction)import:(id)sender;
- (IBAction)importCancel:(id)sender;
- (IBAction)importOk:(id)sender;

+ (void)openSettingWith:(RealDatabase*)database;
- (void)editPreamblesWith:(RealDatabase*)database;

- (BOOL)preambleIsValid:(NSString*)inString;

@end
