//
//  StringOutputStream.h
//  BibCompanion
//
//  Created by Hitoshi Nakahara on 04/11/25.
//  Copyright 2004 Hit-C Soft House. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#ifndef	_HCNewLineCode
typedef	enum	_HCNewLineCode
{
	HCNewLineCode_Mac = 0,
	HCNewLineCode_Win,
	HCNewLineCode_UNIX
} _HCNewLineCode;
#endif

@interface StringOutputStream : NSObject {

	unichar					*buffer;
	CFIndex					maxLength, index;
	_HCNewLineCode			newLineCode;
	NSMutableString			*stringData;
}

- (id)init;
- (id)initWithMaxLength:(CFIndex)length;
- (void)dealloc;

+ (StringOutputStream*)stringOutputStream;
+ (StringOutputStream*)stringOutputStreamWithMaxLength:(CFIndex)length;

- (_HCNewLineCode)newLineCode;
- (void)setNewLineCode:(_HCNewLineCode)code;

- (void)putChar:(unichar)aChar;
- (void)putNewLineCode;
- (void)putString:(NSString*)string;

- (void)flushBufferToString;

- (int)length;
- (NSString*)stringValue;

- (void)clearAll;

@end
