//
//  TeXtoHTML.h
//  BibCompanion
//
//  Created by Hitoshi Nakahara on 04/11/28.
//  Copyright 2004 Hit-C Soft House. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import	"ConvertFromTeX.h"

@class	StringInputStream;

@interface TeXtoHTML : ConvertFromTeX {
}

+ (id)createGlobalObject;
+ (void)releaseGlobal;

+ (TeXtoHTML*)globalConverter;
+ (NSString*)convertString:(NSString*)inString;

- (NSString*)convertAccent:(NSString*)command withStream:(StringInputStream*)inStream;
- (NSString*)convertSubScript:(StringInputStream*)inStream;
- (NSString*)convertSuperScript:(StringInputStream*)inStream;
- (NSString*)unknownCommand:(NSString*)command;
- (void)putVariable:(unichar)aChar toStream:(StringOutputStream*)outStream;

- (NSString*)openDoubleQuotes;
- (NSString*)openSingleQuote;
- (NSString*)closeDoubleQuotes;
- (NSString*)closeSingleQuote;
- (NSString*)primeLetter;
- (NSString*)minusLetter;
- (NSString*)enDash;
- (NSString*)emDash;
- (NSString*)inverseQuestion;
- (NSString*)inverseExclamation;
- (NSString*)lessThanLetter;
- (NSString*)greaterThanLetter;

@end
