//
//  UnicodeToTeX.h
//  BibCompanion
//
//  Created by Hitoshi Nakahara on 05/02/22.
//  Copyright 2005 2005 Hit-C Soft House. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface UnicodeToTeX : NSObject {

	NSMutableDictionary	*letterDic;
	NSMutableDictionary	*symbolDic;
	NSMutableDictionary	*mathDic;
	NSMutableDictionary	*mathDic1;
	
	NSCharacterSet		*numberCharSet;
}

+ (id)createGlobalObject;
+ (void)releaseGlobal;

+ (UnicodeToTeX*)globalConverter;
+ (void)convertStringLetter:(NSMutableString**)inString;
+ (void)convertStringSymbols:(NSMutableString**)inString;
+ (void)convertStringMath:(NSMutableString**)inString;

- (void)convertStringLetter:(NSMutableString**)inString;
- (void)convertStringSymbols:(NSMutableString**)inString;
- (void)convertStringMath:(NSMutableString**)inString;

- (void)convert:(NSMutableString**)string withDictionary:(NSDictionary*)convDic;
- (void)convertWithParam:(NSMutableString**)string withDictionary:(NSDictionary*)convDic;

@end
